%define pkgname fleure-db
%define common_desc fleure-db is a utility to analyze updateinfo.xml provides updates \
information for systems running RPM-based linux distributions such like RHEL \
(primary target), CentOS and Fedora.

Name:           %{pkgname}
Version:        0.2.0
Release:        1%{?dist}
Summary:        An utility to analyze updateinfo data
Group:          Development/Libraries
License:        AGPLv3+ and GPLv3
URL:            https://github.com/ssato/%{pkgname}
Source0: %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyyaml
# yum-utils is neede for yum-builddep in rhel.
%if 0%{?rhel}
BuildRequires:  yum-utils
%endif

%description
%common_desc

%package -n python3-%{pkgname}
Summary:        Generic access to configuration files in some formats
Group:          Development/Libraries
Requires:       python3-Cython
Requires:       python3-pyyaml
Requires:       python3-setuptools
Requires:       python3-anyconfig
Requires:       python3-setuptools
Requires:       python3-Cython
Requires:       python3-gensim
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
%{common_desc}

%prep
%autosetup -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

#%%post
#%%systemd_post %{name}-makecache.service
#
#%%postun
#%%systemd_postun %{name}-makecache.service
#
#%%preun
#%%systemd_preun %{name}-makecache.service

%files -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/*
%attr(755,root,root) %{_bindir}/fleure-db*
%{_sysconfdir}/fleure/db.d/*.yml
/usr/lib/systemd/system/*.*

%changelog
* Fri Nov 10 2017 Satoru SATOH <ssato@redhat.com> - 0.1.0-2
- disable scriptlets causes trouble until fix

* Thu Mar  9 2017 Satoru SATOH <ssato@redhat.com> - 0.1.0-1
- Initial packaging
